import random
import time

def calculate_pi(precision):
    num_points = 10000 * precision
    points_inside_circle = 0
    points_total = 0

    start_time = time.time()

    for _ in range(num_points):
        x = random.uniform(-1, 1)
        y = random.uniform(-1, 1)
        distance = x**2 + y**2

        if distance <= 1:
            points_inside_circle += 1
        points_total += 1

    end_time = time.time()
    elapsed_time = end_time - start_time

    return (points_inside_circle / points_total) * 4, elapsed_time

precision = 10000
pi, elapsed_time = calculate_pi(precision)
print(f"圆周率的前{precision}位小数为：{pi}")
# print(f"圆周率的前{precision}位小数为：{pi:.10f}")
print(f"程序执行时间为：{elapsed_time:.6f}秒")

